<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:16 CST 2018 -->
<title>Creature</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Creature";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10,"i43":10,"i44":10,"i45":9,"i46":10,"i47":10,"i48":9,"i49":10,"i50":10,"i51":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Creature.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?projectx/engine/managers/entities/creatures/Creature.html" target="_top">Frames</a></li>
<li><a href="Creature.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">projectx.engine.managers.entities.creatures</div>
<h2 title="Class Creature" class="title">Class Creature</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">projectx.engine.managers.entities.Entity</a></li>
<li>
<ul class="inheritance">
<li>projectx.engine.managers.entities.creatures.Creature</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Creature</span>
extends <a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></pre>
<div class="block">This class is a template for all creatures and creature used methods.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Kenneth Lange</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#birthNano">birthNano</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#DEFAULT_CREATURE_HEIGHT">DEFAULT_CREATURE_HEIGHT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#DEFAULT_CREATURE_WIDTH">DEFAULT_CREATURE_WIDTH</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#DEFAULT_SPEED">DEFAULT_SPEED</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../projectx/engine/controls/ai/utils/Node.html" title="class in projectx.engine.controls.ai.utils">Node</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#path">path</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#roamx">roamx</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#roamy">roamy</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#speed">speed</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#travelling">travelling</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#xMove">xMove</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#yMove">yMove</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.projectx.engine.managers.entities.Entity">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;projectx.engine.managers.entities.<a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></h3>
<code><a href="../../../../../projectx/engine/managers/entities/Entity.html#DEBUGMODE">DEBUGMODE</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#DEFAULT_HEALTH">DEFAULT_HEALTH</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#Creature-projectx.engine.Handler-float-float-projectx.game.enums.CreatureType-">Creature</a></span>(<a href="../../../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
        float&nbsp;x,
        float&nbsp;y,
        <a href="../../../../../projectx/game/enums/CreatureType.html" title="enum in projectx.game.enums">CreatureType</a>&nbsp;creature)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#activate--">activate</a></span>()</code>
<div class="block">This method is used for when a creature is activated</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#addCheckpoint-projectx.engine.managers.locators.Locator-">addCheckpoint</a></span>(<a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a>&nbsp;checkpoint)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#DEBUGMODE_render-projectx.engine.glgfx.Graphics-">DEBUGMODE_render</a></span>(<a href="../../../../../projectx/engine/glgfx/Graphics.html" title="class in projectx.engine.glgfx">Graphics</a>&nbsp;g)</code>
<div class="block">This method is responsible for rendering DEBUGMODE related rendering</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#destroy--">destroy</a></span>()</code>
<div class="block">This method is used for when a player is killed.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#equalsBirthNano-projectx.engine.managers.entities.creatures.Creature-">equalsBirthNano</a></span>(<a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;creature)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#getAttacking--">getAttacking</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#getBirthNano--">getBirthNano</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#getCheckpoints--">getCheckpoints</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../projectx/game/enums/CreatureType.html" title="enum in projectx.game.enums">CreatureType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#getCreature--">getCreature</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../projectx/engine/inventory/Inventory.html" title="class in projectx.engine.inventory">Inventory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#getInventory--">getInventory</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#getLastDirection--">getLastDirection</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../projectx/engine/controls/ai/utils/Node.html" title="class in projectx.engine.controls.ai.utils">Node</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#getPath--">getPath</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#getSpeed--">getSpeed</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#getTravelling--">getTravelling</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#getXlocation--">getXlocation</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#getXmouse--">getXmouse</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#getxMove--">getxMove</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#getYlocation--">getYlocation</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#getYmouse--">getYmouse</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#getyMove--">getyMove</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#hurt-int-">hurt</a></span>(int&nbsp;amount)</code>
<div class="block">This method receives the amount of damage done to an entity and removes the health accordingly</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#isNPC--">isNPC</a></span>()</code>
<div class="block">Is this creature an NPC</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#isPlayerControlled--">isPlayerControlled</a></span>()</code>
<div class="block">Is this creature player controlled</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#isServerControlled--">isServerControlled</a></span>()</code>
<div class="block">Is this creature server controlled</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#isWinner--">isWinner</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#move--">move</a></span>()</code>
<div class="block">This method uses the methods moveX() and moveY() to move a creature around a
 screen.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#moveX--">moveX</a></span>()</code>
<div class="block">This method allow for a creature to move in the X-Axis.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#moveY--">moveY</a></span>()</code>
<div class="block">This method allow for a creature to move in the Y-Axis.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#postRender-projectx.engine.glgfx.Graphics-">postRender</a></span>(<a href="../../../../../projectx/engine/glgfx/Graphics.html" title="class in projectx.engine.glgfx">Graphics</a>&nbsp;g)</code>
<div class="block">This method is used to render the creature's inventory on top of everything
 else.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#render-projectx.engine.glgfx.Graphics-">render</a></span>(<a href="../../../../../projectx/engine/glgfx/Graphics.html" title="class in projectx.engine.glgfx">Graphics</a>&nbsp;g)</code>
<div class="block">This method is responsible for rendering the newly updated creature.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#render-projectx.engine.glgfx.Graphics-double-">render</a></span>(<a href="../../../../../projectx/engine/glgfx/Graphics.html" title="class in projectx.engine.glgfx">Graphics</a>&nbsp;g,
      double&nbsp;scale)</code>&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#setAttacking-boolean-">setAttacking</a></span>(boolean&nbsp;attacking)</code>&nbsp;</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#setBirthNano-long-">setBirthNano</a></span>(long&nbsp;birthNano)</code>&nbsp;</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#setCheckpoints-java.util.ArrayList-">setCheckpoints</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a>&gt;&nbsp;checkpoints)</code>&nbsp;</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#setCreature-projectx.game.enums.CreatureType-">setCreature</a></span>(<a href="../../../../../projectx/game/enums/CreatureType.html" title="enum in projectx.game.enums">CreatureType</a>&nbsp;creature)</code>&nbsp;</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#setInventory-projectx.engine.inventory.Inventory-">setInventory</a></span>(<a href="../../../../../projectx/engine/inventory/Inventory.html" title="class in projectx.engine.inventory">Inventory</a>&nbsp;inventory)</code>&nbsp;</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#setLastDirection-byte-">setLastDirection</a></span>(byte&nbsp;lastDirection)</code>&nbsp;</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#setNPC--">setNPC</a></span>()</code>
<div class="block">Sets a creature as an NPC</div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#setPath-java.util.List-">setPath</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../projectx/engine/controls/ai/utils/Node.html" title="class in projectx.engine.controls.ai.utils">Node</a>&gt;&nbsp;path)</code>&nbsp;</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#setPlayerControlled--">setPlayerControlled</a></span>()</code>
<div class="block">Sets a creature to being the player character</div>
</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#setServerControlled--">setServerControlled</a></span>()</code>
<div class="block">Sets a creature to being server controlled</div>
</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#setSpeed-double-">setSpeed</a></span>(double&nbsp;speed)</code>&nbsp;</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#setTravelling-boolean-">setTravelling</a></span>(boolean&nbsp;travelling)</code>&nbsp;</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#setWinner-boolean-">setWinner</a></span>(boolean&nbsp;winner)</code>&nbsp;</td>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#setXlocation-float-">setXlocation</a></span>(float&nbsp;xlocation)</code>&nbsp;</td>
</tr>
<tr id="i45" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#setXmouse-int-">setXmouse</a></span>(int&nbsp;x)</code>&nbsp;</td>
</tr>
<tr id="i46" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#setxMove-double-">setxMove</a></span>(double&nbsp;xMove)</code>&nbsp;</td>
</tr>
<tr id="i47" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#setYlocation-float-">setYlocation</a></span>(float&nbsp;ylocation)</code>&nbsp;</td>
</tr>
<tr id="i48" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#setYmouse-int-">setYmouse</a></span>(int&nbsp;y)</code>&nbsp;</td>
</tr>
<tr id="i49" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#setyMove-double-">setyMove</a></span>(double&nbsp;yMove)</code>&nbsp;</td>
</tr>
<tr id="i50" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i51" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#update--">update</a></span>()</code>
<div class="block">This is the update method, it updates everything in regards to each creature.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.projectx.engine.managers.entities.Entity">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;projectx.engine.managers.entities.<a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></h3>
<code><a href="../../../../../projectx/engine/managers/entities/Entity.html#checkCollisions-float-float-">checkCollisions</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#getCollisionBounds-float-float-">getCollisionBounds</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#getHealth--">getHealth</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#getHeight--">getHeight</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#getWidth--">getWidth</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#getX--">getX</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#getY--">getY</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#isActive--">isActive</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#setActive-boolean-">setActive</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#setHealth-byte-">setHealth</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#setHeight-int-">setHeight</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#setWidth-int-">setWidth</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#setX-float-">setX</a>, <a href="../../../../../projectx/engine/managers/entities/Entity.html#setY-float-">setY</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="DEFAULT_SPEED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULT_SPEED</h4>
<pre>public static final&nbsp;double DEFAULT_SPEED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#projectx.engine.managers.entities.creatures.Creature.DEFAULT_SPEED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DEFAULT_CREATURE_WIDTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULT_CREATURE_WIDTH</h4>
<pre>public static final&nbsp;int DEFAULT_CREATURE_WIDTH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#projectx.engine.managers.entities.creatures.Creature.DEFAULT_CREATURE_WIDTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DEFAULT_CREATURE_HEIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULT_CREATURE_HEIGHT</h4>
<pre>public static final&nbsp;int DEFAULT_CREATURE_HEIGHT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#projectx.engine.managers.entities.creatures.Creature.DEFAULT_CREATURE_HEIGHT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="birthNano">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>birthNano</h4>
<pre>public&nbsp;long birthNano</pre>
</li>
</ul>
<a name="speed">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>speed</h4>
<pre>public&nbsp;double speed</pre>
</li>
</ul>
<a name="xMove">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>xMove</h4>
<pre>public&nbsp;double xMove</pre>
</li>
</ul>
<a name="yMove">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>yMove</h4>
<pre>public&nbsp;double yMove</pre>
</li>
</ul>
<a name="roamx">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>roamx</h4>
<pre>public&nbsp;int roamx</pre>
</li>
</ul>
<a name="roamy">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>roamy</h4>
<pre>public&nbsp;int roamy</pre>
</li>
</ul>
<a name="path">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>path</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../projectx/engine/controls/ai/utils/Node.html" title="class in projectx.engine.controls.ai.utils">Node</a>&gt; path</pre>
</li>
</ul>
<a name="travelling">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>travelling</h4>
<pre>public&nbsp;boolean travelling</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Creature-projectx.engine.Handler-float-float-projectx.game.enums.CreatureType-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Creature</h4>
<pre>public&nbsp;Creature(<a href="../../../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
                float&nbsp;x,
                float&nbsp;y,
                <a href="../../../../../projectx/game/enums/CreatureType.html" title="enum in projectx.game.enums">CreatureType</a>&nbsp;creature)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="update--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre>public&nbsp;void&nbsp;update()</pre>
<div class="block">This is the update method, it updates everything in regards to each creature.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../projectx/engine/managers/entities/Entity.html#update--">update</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></code></dd>
</dl>
</li>
</ul>
<a name="destroy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>destroy</h4>
<pre>public&nbsp;void&nbsp;destroy()</pre>
<div class="block">This method is used for when a player is killed.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../projectx/engine/managers/entities/Entity.html#destroy--">destroy</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></code></dd>
</dl>
</li>
</ul>
<a name="activate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>activate</h4>
<pre>public&nbsp;void&nbsp;activate()</pre>
<div class="block">This method is used for when a creature is activated</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../projectx/engine/managers/entities/Entity.html#activate--">activate</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></code></dd>
</dl>
</li>
</ul>
<a name="hurt-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hurt</h4>
<pre>public&nbsp;void&nbsp;hurt(int&nbsp;amount)</pre>
<div class="block">This method receives the amount of damage done to an entity and removes the health accordingly</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../projectx/engine/managers/entities/Entity.html#hurt-int-">hurt</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>amount</code> - </dd>
</dl>
</li>
</ul>
<a name="render-projectx.engine.glgfx.Graphics-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>render</h4>
<pre>public&nbsp;void&nbsp;render(<a href="../../../../../projectx/engine/glgfx/Graphics.html" title="class in projectx.engine.glgfx">Graphics</a>&nbsp;g)</pre>
<div class="block">This method is responsible for rendering the newly updated creature.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../projectx/engine/managers/entities/Entity.html#render-projectx.engine.glgfx.Graphics-">render</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></code></dd>
</dl>
</li>
</ul>
<a name="render-projectx.engine.glgfx.Graphics-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>render</h4>
<pre>public&nbsp;void&nbsp;render(<a href="../../../../../projectx/engine/glgfx/Graphics.html" title="class in projectx.engine.glgfx">Graphics</a>&nbsp;g,
                   double&nbsp;scale)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../projectx/engine/managers/entities/Entity.html#render-projectx.engine.glgfx.Graphics-double-">render</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></code></dd>
</dl>
</li>
</ul>
<a name="postRender-projectx.engine.glgfx.Graphics-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>postRender</h4>
<pre>public&nbsp;void&nbsp;postRender(<a href="../../../../../projectx/engine/glgfx/Graphics.html" title="class in projectx.engine.glgfx">Graphics</a>&nbsp;g)</pre>
<div class="block">This method is used to render the creature's inventory on top of everything
 else.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>g</code> - </dd>
</dl>
</li>
</ul>
<a name="move--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>move</h4>
<pre>public&nbsp;void&nbsp;move()</pre>
<div class="block">This method uses the methods moveX() and moveY() to move a creature around a
 screen. It also checks for collision with other entities.</div>
</li>
</ul>
<a name="moveX--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>moveX</h4>
<pre>public&nbsp;void&nbsp;moveX()</pre>
<div class="block">This method allow for a creature to move in the X-Axis.</div>
</li>
</ul>
<a name="moveY--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>moveY</h4>
<pre>public&nbsp;void&nbsp;moveY()</pre>
<div class="block">This method allow for a creature to move in the Y-Axis.</div>
</li>
</ul>
<a name="DEBUGMODE_render-projectx.engine.glgfx.Graphics-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEBUGMODE_render</h4>
<pre>public&nbsp;void&nbsp;DEBUGMODE_render(<a href="../../../../../projectx/engine/glgfx/Graphics.html" title="class in projectx.engine.glgfx">Graphics</a>&nbsp;g)</pre>
<div class="block">This method is responsible for rendering DEBUGMODE related rendering</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>g</code> - </dd>
</dl>
</li>
</ul>
<a name="getxMove--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getxMove</h4>
<pre>public&nbsp;double&nbsp;getxMove()</pre>
</li>
</ul>
<a name="setxMove-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setxMove</h4>
<pre>public&nbsp;void&nbsp;setxMove(double&nbsp;xMove)</pre>
</li>
</ul>
<a name="getyMove--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getyMove</h4>
<pre>public&nbsp;double&nbsp;getyMove()</pre>
</li>
</ul>
<a name="setyMove-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setyMove</h4>
<pre>public&nbsp;void&nbsp;setyMove(double&nbsp;yMove)</pre>
</li>
</ul>
<a name="getSpeed--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSpeed</h4>
<pre>public&nbsp;double&nbsp;getSpeed()</pre>
</li>
</ul>
<a name="getInventory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInventory</h4>
<pre>public&nbsp;<a href="../../../../../projectx/engine/inventory/Inventory.html" title="class in projectx.engine.inventory">Inventory</a>&nbsp;getInventory()</pre>
</li>
</ul>
<a name="setInventory-projectx.engine.inventory.Inventory-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInventory</h4>
<pre>public&nbsp;void&nbsp;setInventory(<a href="../../../../../projectx/engine/inventory/Inventory.html" title="class in projectx.engine.inventory">Inventory</a>&nbsp;inventory)</pre>
</li>
</ul>
<a name="setSpeed-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSpeed</h4>
<pre>public&nbsp;void&nbsp;setSpeed(double&nbsp;speed)</pre>
</li>
</ul>
<a name="isWinner--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isWinner</h4>
<pre>public&nbsp;boolean&nbsp;isWinner()</pre>
</li>
</ul>
<a name="setWinner-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWinner</h4>
<pre>public&nbsp;void&nbsp;setWinner(boolean&nbsp;winner)</pre>
</li>
</ul>
<a name="getXlocation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXlocation</h4>
<pre>public&nbsp;float&nbsp;getXlocation()</pre>
</li>
</ul>
<a name="setXlocation-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setXlocation</h4>
<pre>public&nbsp;void&nbsp;setXlocation(float&nbsp;xlocation)</pre>
</li>
</ul>
<a name="getYlocation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getYlocation</h4>
<pre>public&nbsp;float&nbsp;getYlocation()</pre>
</li>
</ul>
<a name="getXmouse--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXmouse</h4>
<pre>public&nbsp;int&nbsp;getXmouse()</pre>
</li>
</ul>
<a name="setXmouse-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setXmouse</h4>
<pre>public static&nbsp;void&nbsp;setXmouse(int&nbsp;x)</pre>
</li>
</ul>
<a name="getYmouse--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getYmouse</h4>
<pre>public&nbsp;int&nbsp;getYmouse()</pre>
</li>
</ul>
<a name="setYmouse-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setYmouse</h4>
<pre>public static&nbsp;void&nbsp;setYmouse(int&nbsp;y)</pre>
</li>
</ul>
<a name="setYlocation-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setYlocation</h4>
<pre>public&nbsp;void&nbsp;setYlocation(float&nbsp;ylocation)</pre>
</li>
</ul>
<a name="getCreature--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCreature</h4>
<pre>public&nbsp;<a href="../../../../../projectx/game/enums/CreatureType.html" title="enum in projectx.game.enums">CreatureType</a>&nbsp;getCreature()</pre>
</li>
</ul>
<a name="setCreature-projectx.game.enums.CreatureType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCreature</h4>
<pre>public&nbsp;void&nbsp;setCreature(<a href="../../../../../projectx/game/enums/CreatureType.html" title="enum in projectx.game.enums">CreatureType</a>&nbsp;creature)</pre>
</li>
</ul>
<a name="setAttacking-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAttacking</h4>
<pre>public&nbsp;void&nbsp;setAttacking(boolean&nbsp;attacking)</pre>
</li>
</ul>
<a name="getAttacking--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAttacking</h4>
<pre>public&nbsp;boolean&nbsp;getAttacking()</pre>
</li>
</ul>
<a name="setLastDirection-byte-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLastDirection</h4>
<pre>public&nbsp;void&nbsp;setLastDirection(byte&nbsp;lastDirection)</pre>
</li>
</ul>
<a name="getLastDirection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLastDirection</h4>
<pre>public&nbsp;byte&nbsp;getLastDirection()</pre>
</li>
</ul>
<a name="setPath-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPath</h4>
<pre>public&nbsp;void&nbsp;setPath(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../projectx/engine/controls/ai/utils/Node.html" title="class in projectx.engine.controls.ai.utils">Node</a>&gt;&nbsp;path)</pre>
</li>
</ul>
<a name="getPath--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPath</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../projectx/engine/controls/ai/utils/Node.html" title="class in projectx.engine.controls.ai.utils">Node</a>&gt;&nbsp;getPath()</pre>
</li>
</ul>
<a name="setTravelling-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTravelling</h4>
<pre>public&nbsp;void&nbsp;setTravelling(boolean&nbsp;travelling)</pre>
</li>
</ul>
<a name="getTravelling--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTravelling</h4>
<pre>public&nbsp;boolean&nbsp;getTravelling()</pre>
</li>
</ul>
<a name="getBirthNano--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBirthNano</h4>
<pre>public&nbsp;long&nbsp;getBirthNano()</pre>
</li>
</ul>
<a name="setBirthNano-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBirthNano</h4>
<pre>public&nbsp;void&nbsp;setBirthNano(long&nbsp;birthNano)</pre>
</li>
</ul>
<a name="isNPC--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isNPC</h4>
<pre>public&nbsp;boolean&nbsp;isNPC()</pre>
<div class="block">Is this creature an NPC</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if creature is an NPC</dd>
</dl>
</li>
</ul>
<a name="isServerControlled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isServerControlled</h4>
<pre>public&nbsp;boolean&nbsp;isServerControlled()</pre>
<div class="block">Is this creature server controlled</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if server controlled</dd>
</dl>
</li>
</ul>
<a name="isPlayerControlled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPlayerControlled</h4>
<pre>public&nbsp;boolean&nbsp;isPlayerControlled()</pre>
<div class="block">Is this creature player controlled</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if player controlled</dd>
</dl>
</li>
</ul>
<a name="setServerControlled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setServerControlled</h4>
<pre>public&nbsp;void&nbsp;setServerControlled()</pre>
<div class="block">Sets a creature to being server controlled</div>
</li>
</ul>
<a name="setPlayerControlled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPlayerControlled</h4>
<pre>public&nbsp;void&nbsp;setPlayerControlled()</pre>
<div class="block">Sets a creature to being the player character</div>
</li>
</ul>
<a name="setNPC--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNPC</h4>
<pre>public&nbsp;void&nbsp;setNPC()</pre>
<div class="block">Sets a creature as an NPC</div>
</li>
</ul>
<a name="equalsBirthNano-projectx.engine.managers.entities.creatures.Creature-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equalsBirthNano</h4>
<pre>public&nbsp;boolean&nbsp;equalsBirthNano(<a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;creature)</pre>
</li>
</ul>
<a name="addCheckpoint-projectx.engine.managers.locators.Locator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addCheckpoint</h4>
<pre>public&nbsp;void&nbsp;addCheckpoint(<a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a>&nbsp;checkpoint)</pre>
</li>
</ul>
<a name="setCheckpoints-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCheckpoints</h4>
<pre>public&nbsp;void&nbsp;setCheckpoints(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a>&gt;&nbsp;checkpoints)</pre>
</li>
</ul>
<a name="getCheckpoints--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCheckpoints</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a>&gt;&nbsp;getCheckpoints()</pre>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../projectx/engine/managers/entities/Entity.html#toString--">toString</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Creature.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?projectx/engine/managers/entities/creatures/Creature.html" target="_top">Frames</a></li>
<li><a href="Creature.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
